Bug 196915 - science/pnetcdf fails to build with GCC 4.9
Summary: science/pnetcdf fails to build with GCC 4.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks: 196712
  Show dependency treegraph
 
Reported: 2015-01-20 00:05 UTC by Gerald Pfeifer
Modified: 2015-02-22 00:54 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer freebsd_committer 2015-01-20 00:05:24 UTC
This is important since it blocks the upgrade of the default version
of GCC from GCC 4.8 to GCC 4.9.  If you cannot fix it, perhaps change
to USE_GCC=4.8 for the time being?

http://package23.nyi.freebsd.org/data/101i386-default-PR196712/2015-01-16_07h04m40s/logs/errors/pnetcdf-1.5.0_7.log

checking for Fortran libraries of /usr/local/mpi/openmpi/bin/mpif90...  -L/usr/local/lib/gcc49 -L/usr/local/mpi/openmpi/lib -L/usr/local/bin -L/usr/local/lib/gcc49/gcc/i386-portbld-freebsd10.1/4.9.2 -L/usr/local/lib/gcc49/gcc/i386-portbld-freebsd10.1/4.9.2/../../../../../i386-portbld-freebsd10.1/lib -L/usr/local/lib/gcc49/gcc/i386-portbld-freebsd10.1/4.9.2/../../.. -lmpi_usempif08 -lmpi_usempi_ignore_tkr -lmpi_mpifh -lmpi -lgfortran -lm -lssp_nonshared -lquadmath -lpthread
checking for dummy main to link with Fortran libraries... unknown
configure: error: in `/wrkdirs/usr/ports/science/pnetcdf/work/parallel-netcdf-1.5.0':
configure: error: linking to Fortran libraries from C fails
Comment 1 Bugzilla Automation freebsd_committer 2015-01-20 00:05:24 UTC
Auto-assigned to maintainer sunpoet@FreeBSD.org
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2015-02-21 17:10:00 UTC
I updated this port to 1.6.0 3 days ago. I could build pnetcdf 1.6.0 successfully with lang/gcc49. Would you please re-check it? Thanks.
Comment 3 Gerald Pfeifer freebsd_committer 2015-02-22 00:54:20 UTC
Thank you for looking into this, updating the port, and testing
against a newer version of GCC.

Let's consider this closed.  Before I'll commit the planned update
to lang/gcc and the default GCC version used we will likely do another
-exp run, and in case there is something not fully addressed, we can
come back to this.